# hcloud_route – Create and delete cloud routes on the Hetzner Cloud

New in version 2.9.

- Synopsis
- Requirements
- Parameters
- See Also
- Examples
- Return Values
- Status

## Synopsis

- Create, update and delete cloud routes on the Hetzner Cloud.

## Requirements

The below requirements are needed on the host that executes this module.

- hcloud-python >= 1.0.0
- hcloud-python >= 1.3.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string / required |  | This is the API Token for the Hetzner Cloud.
destination string / required |  | Destination network or host of this route.
endpoint string | Default: "https://api.hetzner.cloud/v1" | This is the API Endpoint for the Hetzner Cloud.
gateway string / required |  | Gateway for the route.
network string / required |  | The name of the Hetzner Cloud Network.

state
string

Choices:
- absent
- present ←

State of the route.

## See Also

See also

Documentation for Hetzner Cloud API
  Complete reference for the Hetzner Cloud API.

## Examples

    - name: Create a basic route
      hcloud_route:
        network: my-network
        destination: 10.100.1.0/24
        gateway: 10.0.1.1
        state: present

    - name: Ensure the route is absent
      hcloud_route:
        network: my-network
        destination: 10.100.1.0/24
        gateway: 10.0.1.1
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
hcloud_route complex | always | One Route of a Network
| destination string | always | Destination network or host of this route Sample: 10.0.0.0/8
| gateway string | always | Gateway of the route Sample: 10.0.0.1
| network string | always | Name of the Network Sample: my-network

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Lukas Kaemmerling (@lkaemmerling)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.